# $Revision: 1.10 $, $Date: 2002/01/01 19:51:45 $
Summary:	Network traffic monitoring utility
Summary(pl):	Narzdzie do monitorowania ruchu w sieci
Name:		trafshow
Version:	3.1
Release:	1
License:	Free copying + BSD license
Group:		Networking/Utilities
Group(de):	Netzwerkwesen/Werkzeuge
Group(pl):	Sieciowe/Narzdzia
Source0:	ftp://ftp.nsk.su/pub/RinetSoftware/%{name}-%{version}.tgz
URL:		http://soft.risp.ru/trafshow/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	libpcap-devel
BuildRequires:	ncurses-devel

%description
trafshow is a ncurses based utility showing you in detail the network
traffic. It shows you a table with source address, source port,
destination address, destination port, IP proto, byte counter and CPS.
Counters are updated on package receiving, and the table is resorted
by byte counter with given interval.

trafshow accept filters like tcpdump so you can inspect a required
part of network traffic.

%description -l pl
trafshow jest opartym o ncurses narzdziem pokazujcym szczegowo
ruch w sieci. Pojazuje tabel z adresami i portami rdowymi,
adresami i portami docelowymi, protokoem, liczb bajtw i CPS.
Liczniki s uaktualniane po otrzymaniu pakietu, a tabela ponownie
sortowana po iloci bajtw co podany czas.

trafshow akceptuje filtry podobne do tcpdump, wic mona ledzi
wybran cz ruchu.

%prep
%setup -q

%build
./configure 
%{__make} CC="%{__cc}" FLAGS="%{rpmcflags} -I%{_includedir}/ncurses -D_BSD_SOURCE=1"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1}
install trafshow $RPM_BUILD_ROOT%{_sbindir}
install trafshow.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/trafshow
%{_mandir}/man1/trafshow.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: trafshow.spec,v $
Revision 1.10  2002/01/01 19:51:45  areq
- update to 3.1, STBR
- remove obsolete patches

Revision 1.9  2002/01/01 18:09:51  misiek
- it compiles now

Revision 1.8  2001/10/03 10:13:02  qboosh
- pl description, URL, Source0 URL (note: 3.1 on ftp)

Revision 1.7  2001/05/03 01:14:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/12/28 15:26:48  baggins
- release 3
- added glibc patch
- fixed CFLAGS

Revision 1.5  2000/07/13 23:27:39  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.4  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.3  2000/05/24 10:09:47  yaro
- added BuildRequires

Revision 1.2  2000/05/24 09:51:09  yaro
- spec rewrited
- trafshow uses now system libpcap
